Update user
curl --request PATCH \
--url https://api.vidbeo.com/v2/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example",
"email": "name@company.com",
"password": "<string>",
"role": "owner",
"mfa_required": false,
"notifications": [
"videos.ready"
],
"enabled": true
}
'import requests
url = "https://api.vidbeo.com/v2/users/{user_id}"
payload = {
"name": "Example",
"email": "name@company.com",
"password": "<string>",
"role": "owner",
"mfa_required": False,
"notifications": ["videos.ready"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example',
email: 'name@company.com',
password: '<string>',
role: 'owner',
mfa_required: false,
notifications: ['videos.ready'],
enabled: true
})
};
fetch('https://api.vidbeo.com/v2/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"name": "Example",
"email": "name@company.com",
"authentication": "password",
"role": "owner",
"mfa_required": false,
"notifications": [
"videos.ready"
],
"verified_email": true,
"enabled": true,
"created_by": "abcde12345abcde12345a",
"created_time": "2026-01-01T00:00:00.000Z",
"updated_by": "abcde12345abcde12345a",
"updated_time": "2026-01-01T00:00:00.000Z"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Not found"
}
]
}Users
Update user
Update a user’s details
PATCH
/
users
/
{user_id}
Update user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
Example:
"abcde12345abcde12345a"
Body
application/json
Their full name
Required string length:
1 - 40Example:
"Example"
Their email address
Example:
"name@company.com"
Their password
Required string length:
8 - 100Their assigned role
Available options:
viewer, uploader, admin, owner Example:
"owner"
Example:
false
Their notification preferences
Available options:
videos.ready Example:
["videos.ready"]
Whether they have access to the system
Example:
true